Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMContentModel

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMContentModel

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QMItem, QMSequence

public abstract class QMContentModel
extends QMCloneable

Models the abstract element contentModel in QJML. The contentModel elements form a tree under the elements element, and are used to define the element content of a bean element.

Field Summary
`QMAccess` | `access` Models an access element.
`QMARef` | `aref` Models the aref element.
`QMContentModel` | `content` The QMContentModel object which models the element named by the cref attribute.
`String` | `cref` Models the cref attribute on contentModel elements.
`QMCoin` | `enclosingCoin` The name of the enclosing coin.
`protected boolean` | `initialized` Used to prevent multiple initializations.
`String` | `label` Models the label attribute on contentModel elements.
`boolean` | `optional` Models the optional attribute on contentModel elements.
`ArrayList` | `remList` A container for QMRem objects, which model rem elements.
`boolean` | `repeating` Models the repeating attribute on contentModel elements.

Constructor Summary
`QMContentModel()`

Method Summary
`void` | `accessInit(Map coinMap, Map contentMap, QMCoin coin)` Initialize access.
`void` | `buildMaps(Map coinMap, Map contentMap, QMCoin coin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    public String label

  Models the label attribute on contentModel elements. The label attribute gives a name to a contentModel element that can then be referenced by a cref attribute on another contentModel element. The label attribute is optional.

### cref

    public String cref

  Models the cref attribute on contentModel elements. A cref attribute names another contentModel element. By this means the attribute values and element content of one contentModel element are copied to another. The cref attribute is optional.

### optional

    public boolean optional

  Models the optional attribute on contentModel elements. When set to true, the optional attribute indicates that the element content is not required. The optional attribute has a default value of false.

### repeating

    public boolean repeating

  Models the repeating attribute on contentModel elements. When set true, the repeating attribute indicates that the element content can occur more than once. The repeating attribute has a default value of false.

### aref

    public QMARef aref

  Models the aref element. The aref element contains the name of a field or property which the containing bean coin extends. The aref element is optional.

### access

    public QMAccess access

  Models an access element. when an aref element is present, it is used to set access. The access element is optional, and should not be present when the aref element is present.

### remList

    public ArrayList remList

  A container for QMRem objects, which model rem elements. The rem elements are optional and repeating.

### content

    public transient QMContentModel content

  The QMContentModel object which models the element named by the cref attribute. This variable is populated when the data model is initialized.

### initialized

    protected transient boolean initialized

  Used to prevent multiple initializations.

### enclosingCoin

    public transient QMCoin enclosingCoin

  The name of the enclosing coin.

Constructor Detail

### QMContentModel

    public QMContentModel()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMCloneable`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QMCoin coin)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.

### accessInit

    public void accessInit(Map coinMap,
                           Map contentMap,
                           QMCoin coin)
                    throws SAXException

  Initialize access.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD